question

pavankumar-6152 avatar image
0 Votes"
pavankumar-6152 asked ·

Upgrade exchange 2016 CU14 to CU18

Hi,
I am planning to upgrade from exchange 2016 CU14 to CU18.

Can I do it directly my installing a required .net framework or I have do to CU16 and then CU 18.

Also, the active directory schema upgrade is required for CU18 from CU14?

Thanks
Pavan.

office-exchange-server-administrationoffice-exchange-online-itprooffice-exchange-server-connectivityoffice-exchange-server-mailflow
10 |1000 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

KaelYao-MSFT avatar image
0 Votes"
KaelYao-MSFT answered ·

Hi, Pavan.

Agree with Ashok, you may upgrade from CU14 to CU18 directly.
You need to run PrepareSchema/PrepareAD/PrepareDomain since there are schema updates.

75204-69.png


After installing the .Net Framework 4.8, you need to immediately upgrade to the latest CU.


75222-67.png


Besides, it is always recommended to have a backup of your server via Windows Server Backup just in case something goes wrong after the upgrade.


And in addition, is there any concern that you don't choose to upgrade directly to CU19(the latest CU version)?
It is suggested to always keep your servers as up to date as possible.


If the response is helpful, please click "Accept Answer" and upvote it.
Note: Please follow the steps in our documentation to enable e-mail notifications if you want to receive the related email notification for this thread.



69.png (38.5 KiB)
67.png (36.3 KiB)
· 1 ·
10 |1000 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

Thank you, i have done the upgrade and no issue is observed.

0 Votes 0 ·
AshokM-8240 avatar image
0 Votes"
AshokM-8240 answered ·

Hi @pavankumar-6152 ,

Yes, you can upgrade from CU14 to CU18 directly. Prepare the Active directory with PrepareSchema/PrepareAD/PrepareDomain.

Upgrade .NET framework to 4.8, install other windows pre-requisites and install the Exchange CU18
https://docs.microsoft.com/en-us/exchange/plan-and-deploy/supportability-matrix?view=exchserver-2019#microsoft-net-framework
https://docs.microsoft.com/en-us/exchange/plan-and-deploy/prerequisites?view=exchserver-2016

Please find the below screenshot for the AD value change,

75122-image.png

https://docs.microsoft.com/en-us/exchange/plan-and-deploy/prepare-ad-and-domains?view=exchserver-2016#exchange-active-directory-versions

If the above suggestion helps, please click on "Accept Answer" and upvote it.



image.png (25.8 KiB)
·
10 |1000 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.